<?php $gallery = get_post_meta( get_the_ID(), REALIA_PROPERTY_PREFIX . 'gallery', true ); ?>

<?php if ( ! empty( $gallery ) && is_array( $gallery ) ) : ?>
    <div class="property-detail-section" id="property-detail-section-gallery">

        <div class="property-detail-gallery-wrapper">

            <div class="property-detail-gallery-labels">
                <?php $is_sticky = get_post_meta( get_the_ID(), REALIA_PROPERTY_PREFIX . 'sticky', true ); ?>
                <?php $is_featured = get_post_meta( get_the_ID(), REALIA_PROPERTY_PREFIX . 'featured', true ); ?>
                <?php $is_reduced = get_post_meta( get_the_ID(), REALIA_PROPERTY_PREFIX . 'reduced', true ); ?>

                <?php if ( $is_featured && $is_reduced ) : ?>
                    <span class="property-badge"><?php echo __( 'Featured', 'realia' ); ?> / <?php echo __( 'Reduced', 'realia' ); ?></span>
                <?php elseif ( $is_featured ) : ?>
                    <span class="property-badge"><?php echo __( 'Featured', 'realia' ); ?></span>
                <?php elseif ( $is_reduced ) : ?>
                    <span class="property-badge"><?php echo __( 'Reduced', 'realia' ); ?></span>
                <?php endif; ?>

                <?php if ( $is_sticky ) : ?>
                    <span class="property-badge property-badge-sticky"><?php echo __( 'TOP', 'realia' ); ?></span>
                <?php endif; ?>
            </div>

            <div class="property-detail-gallery">

                <?php $index = 0; ?>
                <?php foreach ( $gallery as $id => $src ) : ?>
                    <?php $img = wp_get_attachment_image_src( $id, 'large' ); ?>
                    <?php $src = $img[0]; ?>
                    <a href="<?php echo esc_url( $src ); ?>" rel="property-gallery" data-item-id="<?php echo esc_attr( $index++ ); ?>">
                        <span class="item-image" data-background-image="<?php echo esc_url( $src ); ?>"></span><!-- /.item-image -->
                    </a>
                <?php endforeach; ?>
            </div><!-- /.property-detail-gallery -->

            <div class="property-detail-gallery-preview" data-count="<?php echo count( $gallery ) ?>">
                <div class="property-detail-gallery-preview-inner">
                    <?php $index = 0; ?>
                    <?php foreach ( $gallery as $id => $src ) : ?>
                        <div data-item-id="<?php echo esc_attr( $index++ ); ?>">
                            <?php $img = wp_get_attachment_image_src( $id, 'thumbnail' ); ?>
                            <?php $img_src = $img[0]; ?>
                            <img src="<?php echo $img_src; ?>" alt="">
                        </div>
                    <?php endforeach; ?>
                </div><!-- /.property-detail-gallery-preview-inner -->
            </div><!-- /.property-detail-gallery-preview -->
        </div><!-- /.property-detail-gallery-wrapper -->
    </div><!-- /.property-detail-section -->
<?php endif; ?>